[SCM] Debian Live initramfs hook branch, master, updated. 1.139.1-2-19-g79d1725

Marco Amadori amadorim at vdavda.com
Wed Sep 17 06:52:05 UTC 2008


The following commit has been merged in the master branch:
commit fc162897c721f1420971bf1f0a7e9043a342b781
Author: Marco Amadori <amadorim at vdavda.com>
Date:   Tue Sep 16 11:35:01 2008 +0200

    Fixed try_snap() umounting on error.
    
    Signed-off-by: Marco Amadori <amadorim at vdavda.com>

diff --git a/scripts/live b/scripts/live
index 9f16749..572b367 100755
--- a/scripts/live
+++ b/scripts/live
@@ -889,30 +889,35 @@ try_snap ()
 
 	if [ ! -z "${snapdata}" ]
 	then
+		log_success_msg "found snapshot: ${snapdata}"
 		snapdev="$(echo ${snapdata} | cut -f1 -d ' ')"
 		snapback="$(echo ${snapdata} | cut -f2 -d ' ')"
 		snapfile="$(echo ${snapdata} | cut -f3 -d ' ')"
 
+		RES=""
+
 		if echo "${snapfile}" | grep -qs '\(squashfs\|ext2\|ext3\|jffs2\)'
 		then
 			# squashfs, jffs2 or ext2/ext3 snapshot
 			dev=$(get_backing_device "${snapback}/${snapfile}")
 
-			if ! do_snap_copy "${dev}" "${snap_mount}" "${snap_type}"
-			then
-				log_warning_msg "Impossible to include the ${snapfile} Snapshot"
-				return 1
-			fi
+			do_snap_copy "${dev}" "${snap_mount}" "${snap_type}"
+			RES=$?
 		else
 			# cpio.gz snapshot
-			if ! (cd "${snap_mount}" && zcat "${snapback}/${snapfile}" | cpio --extract --preserve-modification-time --no-absolute-filenames --sparse --unconditional --make-directories > /dev/null 2>&1)
-			then
-				log_warning_msg "Impossible to include the ${snapfile} Snapshot"
-				return 1
-			fi
+			cd "${snap_mount}"
+			zcat "${snapback}/${snapfile}" | cpio --extract --preserve-modification-time --no-absolute-filenames --sparse --unconditional --make-directories > /dev/null 2>&1
+			RES=$?
+			cd "${OLDPWD}"
 		fi
 
 		umount "${snapback}"
+
+		if [ "${RES}" != "0" ]
+		then
+			log_warning_msg "Impossible to include the ${snapfile} Snapshot file"
+		fi
+
 	else
 		dev=$(find_cow_device "${snap_label}")
 

-- 
Debian Live initramfs hook



More information about the debian-live-changes mailing list